Berkeley DB version 4.6.21

## com.sleepycat.collections
Interface TransactionWorker

    public interface TransactionWorker

The interface implemented to perform the work within a transaction. To run a transaction, an instance of this interface is passed to the `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)` method.

Method Summary
`void` `doWork()` Perform the work for a single transaction.

Method Detail

### doWork

    void doWork()
                throws Exception

  Perform the work for a single transaction.

  Throws:
    `Exception`
  See Also:
    `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)`

Berkeley DB version 4.6.21

Copyright (c) 1996,2007 Oracle. All rights reserved.